# general info
NAME="libmp"
DESC="MatterLinux package management library"
VERSION="24.07"

# required files
FILES=("https://git.matterlinux.xyz/Matter/libmp/archive/${VERSION}.tar.gz")
HASHES=("7bab5905b458cf343da044657ac2845127970e053e2eae741e950635b1662cce")

# install and build depends
DEPENDS=(
  "openssl" "libarchive" "libinih"
  "sqlite" "gpgme" "gettext"
)
BUILD=("gcc" "make")

PACKAGE(){
  tar xf "${VERSION}.tar.gz"
  cd "${NAME}"

  make

  install -Ddm755 "${ROOTDIR}/usr/lib"
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}"
}
